Bug 867182 - zeromq3: please update to 3.2.2 stable
Summary: zeromq3: please update to 3.2.2 stable
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: zeromq3
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 889130
Blocks: 889351
TreeView+ depends on / blocked
 
Reported: 2012-10-17 01:42 UTC by Jose Pedro Oliveira
Modified: 2013-01-22 03:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-12 00:15:33 UTC


Attachments (Terms of Use)
zeromq3 specfile patch (1.65 KB, patch)
2012-10-17 03:07 UTC, Jose Pedro Oliveira
no flags Details | Diff

Description Jose Pedro Oliveira 2012-10-17 01:42:02 UTC
Description of problem:
Please update zeromq3 to the latest release candidate (3.2.1-rc2)


Version-Release number of selected component (if applicable):
zerommq3-0.3.20121009git1ef63bc


Additional info:
The tarball zeromq-3.2.1-rc2.tar.gz is available for download at
http://download.zeromq.org/

Comment 1 Jose Pedro Oliveira 2012-10-17 03:07:07 UTC
Created attachment 628495 [details]
zeromq3 specfile patch

Updates zeromq3 to 3.2.1-rc2

Comment 2 Thomas Spura 2012-10-17 08:57:52 UTC
Thanks for the bug report.

I don't agree with your way of versioning:
https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Non-Numeric_Version_in_Release

so naming it 3.2.1-0.1.rc2 instead.


Build in rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4598189

Comment 3 Jose Pedro Oliveira 2012-10-17 09:45:38 UTC
(In reply to comment #2)
> Thanks for the bug report.

Thanks for the update.

> I don't agree with your way of versioning:
> https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Non-
> Numeric_Version_in_Release
> 
> so naming it 3.2.1-0.1.rc2 instead.

No problem (but I don't see how 3.2.1-0.rc2.1 would break a possible upgrade path).


A couple of additional notes:

 * this bugzilla ticket should have been mentioned in the changelog
   (common courtesy; in particular when the specfile update was driven
    by an bugzilla ticket) 

 * I reopened the ticket because you are mentioning the wrong git repository
   for zeromq v3.  The correct git repo is:

       https://github.com/zeromq/zeromq3-x.git

   and not

       https://github.com/zeromq/libzmq.git

   This last git repo is for the main development trunk.
   

Regards,
jpo

Comment 4 Jose Pedro Oliveira 2012-10-17 09:50:46 UTC
Thomas,

I also have a RFE:

 * Would it be possible to add a conditional build flag for pgm (and disabled
   by default)?  Something like:


       %global with_pgm 0

       ...

       %configure \
       %if %{with_pgm}
           --with-pgm \
       %endif
           --disable-static
   
Thanks in advance,
jpo

Comment 5 Jose Pedro Oliveira 2012-11-23 08:47:00 UTC
3.2.2 stable is out.

Announcement:
 * [zeromq-dev] libzmq/3.2.2 stable released
   http://lists.zeromq.org/pipermail/zeromq-dev/2012-November/019446.html

Download:
 * http://download.zeromq.org/zeromq-3.2.2.tar.gz

Comment 6 Andrew Niemantsverdriet 2012-11-27 16:47:21 UTC
This is built in rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4733933

Comment 7 Jose Pedro Oliveira 2012-11-29 18:51:10 UTC
(In reply to comment #6)
> This is built in rawhide:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4733933

Thanks. Could you also built and push it for F18, F17, and EL6?
And also handle the issues mentioned in comments 3 and 4?

/jpo

Comment 8 Jose Pedro Oliveira 2012-12-14 01:57:44 UTC
Hi,

Would it be possible to have ZeroMQ v3.2.2 built and pushed for F18, F17, and EPEL6?  Can I help?

tia,
jpo

Comment 9 Thomas Spura 2012-12-14 12:15:35 UTC
Returning from quite a long vacation [1].



(In reply to comment #3)
> A couple of additional notes:
> 
>  * this bugzilla ticket should have been mentioned in the changelog
>    (common courtesy; in particular when the specfile update was driven
>     by an bugzilla ticket) 

Jep. I noticed that after I kicked of the build and had it locally afterwards. Will be changed in the next push.

>  * I reopened the ticket because you are mentioning the wrong git repository
>    The correct git repo is:
> 
>        https://github.com/zeromq/zeromq3-x.git
> 
>    and not
> 
>        https://github.com/zeromq/libzmq.git
> 
>    This last git repo is for the main development trunk.

I like to reference the main development repository as the 2.x and 3.x versions just should be tags inside of that repository. I added the 3-x repository also over there now (The VCS key is not a standard anyway [2]).

(In reply to comment #4)
>  * Would it be possible to add a conditional build flag for pgm (and disabled
>    by default)?  Something like:
> 
> 
>        %global with_pgm 0
> 
>        ...
> 
>        %configure \
>        %if %{with_pgm}
>            --with-pgm \
>        %endif
>            --disable-static

I don't like to build against a bundled version of pgm. Adding such a macro to build against --with-system-pgm (and enabling that by default maybe) is fine with me, but there is no openpqm in Fedora.
These are the current changes:
http://pkgs.fedoraproject.org/cgit/zeromq3.git/commit/?id=f1f859b3f8ec605b265ddcbd7e073487576ce5de

* Why do you want to build against the bundled one?
* Do you want to maybe add the openpqm package to fedora instead and we can then build against it?

This would be one possibility to help getting proper pgm support in all branches and I'll push the updates then.

[1] https://fedoraproject.org/wiki/Vacation
[2] http://fedoraproject.org/wiki/User:Walters/Packaging_VCS_key_proposal

Comment 10 Jose Pedro Oliveira 2012-12-18 02:04:55 UTC
Thomas,

I don't mind help creating and pushing openpgm RPMS for Fedora and EPEL,

I even produced a couple of SRPMS:
 * http://um-pe09-2.di.uminho.pt/fedora/openpgm-5.1.118-0.1.fc17.src.rpm
 * http://um-pe09-2.di.uminho.pt/fedora/openpgm-5.2.122-0.1.fc17.src.rpm

Right now I think we should stick with openpgm 5.1.118 as it is the version bundled in zeromq v3.2 tarballs and zmq322 builds with the above openpgm-5.1.118 RPMS. Zmq 3.2.2 fails to build with openpgm 5.2 butit only appears to be a configure detection problem (still haven't tried to patch the zmq configure file).

Would you mind test it? If everything looks fine I don't mind submitting it for review.

Regards,
jpo

Comment 11 Andrew Niemantsverdriet 2012-12-19 15:29:17 UTC
(In reply to comment #10)
> Thomas,
> 
> I don't mind help creating and pushing openpgm RPMS for Fedora and EPEL,
> 
> I even produced a couple of SRPMS:
>  * http://um-pe09-2.di.uminho.pt/fedora/openpgm-5.1.118-0.1.fc17.src.rpm
>  * http://um-pe09-2.di.uminho.pt/fedora/openpgm-5.2.122-0.1.fc17.src.rpm
> 
> Right now I think we should stick with openpgm 5.1.118 as it is the version
> bundled in zeromq v3.2 tarballs and zmq322 builds with the above
> openpgm-5.1.118 RPMS. Zmq 3.2.2 fails to build with openpgm 5.2 butit only
> appears to be a configure detection problem (still haven't tried to patch
> the zmq configure file).
> 
> Would you mind test it? If everything looks fine I don't mind submitting it
> for review.
> 
> Regards,
> jpo

I have tested this RPM and it works. However the spec file needs a little clean up. According to rpmlint the licence clause is wrong. You will want to change it to look like this:
   License:       LGPLv2
Other than that it looks good to me.

Thanks,
 _
/-\ ndrew

Comment 12 Jose Pedro Oliveira 2012-12-19 16:16:42 UTC
(In reply to comment #11)
> (In reply to comment #10)
...
> 
> I have tested this RPM and it works. However the spec file needs a little
> clean up. According to rpmlint the licence clause is wrong. You will want to
> change it to look like this:
>    License:       LGPLv2
> Other than that it looks good to me.

It seems like rpmlint config file needs to be updated:

 * the homepage OpenPGM clears state that the license is LGPL v2.1
 * and that particular LGPL version isn't listed in /usr/share/rpmlint/config

/jpo

Comment 13 Andrew Niemantsverdriet 2012-12-19 16:20:55 UTC
(In reply to comment #12)
> (In reply to comment #11)
> > (In reply to comment #10)
> ...
> > 
> > I have tested this RPM and it works. However the spec file needs a little
> > clean up. According to rpmlint the licence clause is wrong. You will want to
> > change it to look like this:
> >    License:       LGPLv2
> > Other than that it looks good to me.
> 
> It seems like rpmlint config file needs to be updated:
> 
>  * the homepage OpenPGM clears state that the license is LGPL v2.1
>  * and that particular LGPL version isn't listed in /usr/share/rpmlint/config
> 
> /jpo

Fedora calls LGPL v2.1 LGPLv2 in spec files. So that is why it is complaining. So  'License:       LGPLv2' is really what you want to use. It is a little confusing I know but trust me.

Comment 14 Jose Pedro Oliveira 2012-12-19 20:20:06 UTC
(In reply to comment #13)
> (In reply to comment #12)
> > (In reply to comment #11)
> > > (In reply to comment #10)
> > ...
> > > 
> > > I have tested this RPM and it works. However the spec file needs a little
> > > clean up. According to rpmlint the licence clause is wrong. You will want to
> > > change it to look like this:
> > >    License:       LGPLv2
> > > Other than that it looks good to me.
> > 
> > It seems like rpmlint config file needs to be updated:
> > 
> >  * the homepage OpenPGM clears state that the license is LGPL v2.1
> >  * and that particular LGPL version isn't listed in /usr/share/rpmlint/config
> > 
> > /jpo
> 
> Fedora calls LGPL v2.1 LGPLv2 in spec files. So that is why it is
> complaining. So  'License:       LGPLv2' is really what you want to use. It
> is a little confusing I know but trust me.

Ok. Specfile updated and new SRPM generated :

 * http://um-pe09-2.di.uminho.pt/fedora/openpgm-5.1.118-1.fc17.src.rpm

Note: builds in mock for F17 and EPEL6.

BTW, I also have packaged czmq 1.3.2:

 * http://um-pe09-2.di.uminho.pt/fedora/czmq-1.3.2-0.fc17.src.rpm

/jpo

Comment 15 Thomas Spura 2012-12-20 09:54:28 UTC
Great. Will you also open review requests for it?
I'll have a look at reviewing it then over the holidays, if possible.

Feel free to add /me and Andrew as co-maintainer to it and apply for co-maintainer ship in pkgdb for zeromq/python-zmq.

Comment 16 Jose Pedro Oliveira 2012-12-20 10:15:13 UTC
(In reply to comment #15)
> Great. Will you also open review requests for it?
> I'll have a look at reviewing it then over the holidays, if possible.

I've just opened a ticket for openpgm:

 * Review Request: openpgm - An implementation of the PGM reliable multicast protocol
   https://bugzilla.redhat.com/show_bug.cgi?id=889130

and will open a new one for czmq before the weekend.

/jpo

Comment 17 Jose Pedro Oliveira 2012-12-20 21:50:21 UTC
Hi,

Here goes the link for the czmq review ticket:

 * Review Request: czmq - High-level C binding for 0MQ (ZeroMQ)
   https://bugzilla.redhat.com/show_bug.cgi?id=889351


and, if someone cares about the new zmq perl bindings (they replace the old perl-ZeromMQ package), I also have the following pending tickets opened:

 * Review Request: perl-ZMQ-LibZMQ2 - Perl wrapper for the libzmq 2.x library
   https://bugzilla.redhat.com/show_bug.cgi?id=868529

 * Review Request: perl-ZMQ-LibZMQ3 - Perl wrapper for the libzmq 3.x library 
   https://bugzilla.redhat.com/show_bug.cgi?id=868531

Regards,
jpo

Comment 18 Jose Pedro Oliveira 2012-12-24 16:55:47 UTC
Hi,

Would it be possible to build zeromq3 3.2.2 with pgm support enabled by default (and for all branches)?  OpenPGM (bug 889130) has already been approved and built for rawhide, f18, f17 and el6 [1].

czmq (bug 889351) has also been approved and imported. I've postponed the builds
(with the exception of the rawhide one) until the stable version of zeromq3 (3.2.2) hits the F18, F17 and EPEL6 mirrors.

Regards,
jpo

[1] - Already available in F17 and F18 testing repos. The EPEL6 build should appear in the next push.

Comment 19 Jose Pedro Oliveira 2012-12-24 16:57:55 UTC
Updated the "Depends on" and the "Blocks" fields.

 * Depends on: openpgm
 * Blocks: czmq

/jpo

Comment 20 Thomas Spura 2012-12-24 17:42:15 UTC
I just added openpgm in el6, f17 and f18 to the buildroot, so we can directly rebuild against it without waiting for it to go stable.

It would be best, if you could add the zeromq and zeromq3 builds then to the appropriate openpgm updates, so they all are pushed at the same time to stable. I'll let you know, when anything is through...

Comment 21 Thomas Spura 2012-12-24 18:52:24 UTC
It's all set.

Could you please add the builds:
zeromq3-3.2.2-2.$rel
zeromq-2.2.0-3.$rel
for rel in el6, fc17, fc18 to the corresponding updates for openpqm, so they all are pushed at the same time?

I also tagged the zeromq3-3.2.2-2.$rel to the buildroot so you can continue with building czmq in an hour or so.

Comment 22 Jose Pedro Oliveira 2012-12-25 21:25:47 UTC
(In reply to comment #21)
> It's all set.
> 
> Could you please add the builds:
> zeromq3-3.2.2-2.$rel
> zeromq-2.2.0-3.$rel
> for rel in el6, fc17, fc18 to the corresponding updates for openpqm, so they
> all are pushed at the same time?

Hum, I never have done this. Could you give a pointer? Is it done on the Updates
site (https://admin.fedoraproject.org/updates/)?

> I also tagged the zeromq3-3.2.2-2.$rel to the buildroot so you can continue
> with building czmq in an hour or so.

Thanks. The czmq packages have already been built.

/jpo

Comment 23 Thomas Spura 2012-12-25 21:33:05 UTC
Your updates for openpgm are here:
https://admin.fedoraproject.org/updates/search/openpgm

Just click on them and then on "edit". Then you can "Add another build" to the same update, e.g. for openpgm-5.1.118-3.el6 you can then add the builds zeromq-2.2.0-3.el6 zeromq3-3.2.2-2.el6 and czmq-1.3.2-1.el6 and all four packages are pushed to testing and then to stable as usual, but definitely in the exact same push.

(Only the submitter of the original update (in this case openpgm) is allowed to modify the own updates request.)

Hope that helps.

Comment 24 Jose Pedro Oliveira 2012-12-25 21:45:48 UTC
(In reply to comment #23)
> Your updates for openpgm are here:
> https://admin.fedoraproject.org/updates/search/openpgm
> 
> Just click on them and then on "edit". Then you can "Add another build" to
> the same update, e.g. for openpgm-5.1.118-3.el6 you can then add the builds
> zeromq-2.2.0-3.el6 zeromq3-3.2.2-2.el6 and czmq-1.3.2-1.el6 and all four
> packages are pushed to testing and then to stable as usual, but definitely
> in the exact same push.
> 
> (Only the submitter of the original update (in this case openpgm) is allowed
> to modify the own updates request.)
> 
> Hope that helps.

Thanks. I just added the zeromq, zeromq3, and czmq packages to the openpgm updates
(F18, F17, and EPEL6 branches).

/jpo

Comment 25 Jose Pedro Oliveira 2012-12-26 19:49:24 UTC
Thomas,

Don't you need to push (fedpkg update) the zeromq-2.2.0-3 and zeromq3-3.2.2-2 builds? They don't appear in the updates website (https://admin.fedoraproject.org/updates/search/zeromq).

/jpo

Comment 26 Thomas Spura 2012-12-26 22:55:04 UTC
Yeah, very strange. I'd like to wait a bit until your change of your update is pushed as I hope they appear then in the updates website...

Otherwise, I'll do the updates too soon...

Comment 27 Jose Pedro Oliveira 2012-12-29 00:42:45 UTC
Thomas,

(In reply to comment #26)
> Yeah, very strange. I'd like to wait a bit until your change of your update
> is pushed as I hope they appear then in the updates website...
> 
> Otherwise, I'll do the updates too soon...

Openpgm has already been (re)pushed for F18 testing (and is being pushed for F17 testing) but the zerommq/zeromq3 packages are still missing (they haven't appeared in the F18 testing repos and they are not listed in the updates site).

Could you (re)check the zerommq* updates?

tia,
jpo

References:
https://dl.fedoraproject.org/pub/fedora/linux/updates/testing/18/SRPMS/
https://dl.fedoraproject.org/pub/fedora/linux/updates/testing/18/SRPMS/openpgm-5.1.118-3.fc18.src.rpm

Comment 28 Fedora Update System 2013-01-02 11:48:17 UTC
zeromq-2.2.0-3.fc17,zeromq3-3.2.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/zeromq-2.2.0-3.fc17,zeromq3-3.2.2-2.fc17

Comment 29 Fedora Update System 2013-01-02 11:48:38 UTC
zeromq-2.2.0-3.fc18,zeromq3-3.2.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/zeromq-2.2.0-3.fc18,zeromq3-3.2.2-2.fc18

Comment 30 Fedora Update System 2013-01-02 11:48:51 UTC
zeromq3-3.2.2-2.el6,zeromq-2.2.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/zeromq3-3.2.2-2.el6,zeromq-2.2.0-3.el6

Comment 31 Fedora Update System 2013-01-02 19:08:35 UTC
Package zeromq3-3.2.2-2.el6, zeromq-2.2.0-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing zeromq3-3.2.2-2.el6 zeromq-2.2.0-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0003/zeromq3-3.2.2-2.el6,zeromq-2.2.0-3.el6
then log in and leave karma (feedback).

Comment 32 Jose Pedro Oliveira 2013-01-10 11:39:40 UTC
Thomas,

Could you push zeromq and zeromq3 to stable (F17 and F18 only)? I've already pushed openpgm to F17/F18 stable last week.

/jpo

Comment 33 Thomas Spura 2013-01-10 19:19:00 UTC
It wasn't possible to push them earlier as per Fedora policy.

With karma it would have been pushed already, but now they are on the way.

Comment 34 Fedora Update System 2013-01-12 00:15:36 UTC
zeromq-2.2.0-3.fc18, zeromq3-3.2.2-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2013-01-12 15:22:30 UTC
zeromq-2.2.0-3.fc17, zeromq3-3.2.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2013-01-22 03:37:51 UTC
zeromq3-3.2.2-2.el6, zeromq-2.2.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.